Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class DynamicUtils

    java.lang.Object
      org.jbpm.workflow.instance.node.DynamicUtils

    public class DynamicUtils

extends Object

Constructor Summary
`DynamicUtils()`

Method Summary
`static void` | `addDynamicSubProcess(DynamicNodeInstance dynamicContext, KieRuntime ksession, String processId, Map<String,Object> parameters)`
`static void` | `addDynamicSubProcess(ProcessInstance processInstance, KieRuntime ksession, String processId, Map<String,Object> parameters)`
`static void` | `addDynamicWorkItem(DynamicNodeInstance dynamicContext, KieRuntime ksession, String workItemName, Map<String,Object> parameters)`
`static void` | `addDynamicWorkItem(ProcessInstance dynamicProcessInstance, KieRuntime ksession, String workItemName, Map<String,Object> parameters)`
`static void` | `internalAddDynamicSubProcess(WorkflowProcessInstance processInstance, DynamicNodeInstance dynamicContext, KieRuntime ksession, String processId, Map<String,Object> parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicUtils

    public DynamicUtils()

Method Detail

### addDynamicWorkItem

    public static void addDynamicWorkItem(DynamicNodeInstance dynamicContext,
                                          KieRuntime ksession,
                                          String workItemName,
                                          Map<String,Object> parameters)

### addDynamicWorkItem

    public static void addDynamicWorkItem(ProcessInstance dynamicProcessInstance,
                                          KieRuntime ksession,
                                          String workItemName,
                                          Map<String,Object> parameters)

### addDynamicSubProcess

    public static void addDynamicSubProcess(DynamicNodeInstance dynamicContext,
                                            KieRuntime ksession,
                                            String processId,
                                            Map<String,Object> parameters)

### addDynamicSubProcess

    public static void addDynamicSubProcess(ProcessInstance processInstance,
                                            KieRuntime ksession,
                                            String processId,
                                            Map<String,Object> parameters)

### internalAddDynamicSubProcess

    public static void internalAddDynamicSubProcess(WorkflowProcessInstance processInstance,
                                                    DynamicNodeInstance dynamicContext,
                                                    KieRuntime ksession,
                                                    String processId,
                                                    Map<String,Object> parameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.